BitRouterBitRouter.
Get API Key
Management

List the namespace's routing presets

Typed list of routing presets. Each preset bundles request defaults (model, system_prompt, generation params) with provider-routing constraints (routing).

Requires the routing_preset:read scope.

GET
/v1/namespaces/{nsid}/routing-presets

Authorization

x-api-key<token>

Anthropic-style API key header.

In: header

Path Parameters

nsid*string

Id of the target namespace. Must be owned by the caller (or equal a namespace-baked credential's own namespace), else 404.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.bitrouter.ai/v1/namespaces/string/routing-presets"
{
  "data": [
    null
  ]
}
{
  "error": null
}
{
  "error": null
}
{
  "error": null
}

How is this guide?